Subject: bug#36439: closed (Re: bug#36439: Guix build throws the data away if hash mismatch)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 29 Jun 2019 22:29:02 +0000

Your bug report

#36439: Guix build throws the data away if hash mismatch

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36439: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36439
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36439: Guix build throws the data away if hash mismatch
From: Ricardo Wurmus <[email-masked]>
To: swedebugia <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Jun 2019 00:28:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

swedebugia <[email-masked]> writes:

> When I run guix download the data is saved to the store. When I run
> guix build without first running download and the hash mismatches it
> seemingly throws the data away.

This is not a bug.

The data that’s downloaded when you run “guix build” is not added to the
store because the hash mismatch indicates that it is corrupt.  Not
adding corrupt data (according to the user-specified hash) is the right
thing to do here.

If you want to add downloaded things to the store you should keep using
“guix download” and not “guix build”.

--
Ricardo

Subject: Guix build throws the data away if hash mismatch
From: swedebugia <[email-masked]>
To: Report new Guix bug <[email-masked]>
Date: Sun, 30 Jun 2019 00:09:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi

When I run guix download the data is saved to the store. When I run guix 
build without first running download and the hash mismatches it 
seemingly throws the data away.

I think that is a bug.

-- 
Cheers Swedebugia